
User Interface - Feature #2556

add support for COLOR statement in GUI

04/27/2015 03:28 AM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 04/27/2015 03:47 AM - Constantin Asofiei

- File color-check.p added

There's more than just drawing related to colors.  When COLOR ... NORMAL/INPUT/MESSAGES is used, in GUI this affects both the BGCOLOR and

FGCOLOR attributes - they are set to certain indexes in the standard color table, based on this configuration from progress.ini (specifies fg,bg).

NORMAL=0,15

INPUT=15,0

MESSAGES=15,1

 

In ChUI, this affects only the DCOLOR attribute

Second, we need to determine what happens if a color name other than NORMAL/INPUT/MESSAGES is given, as in COLOR DISPLAY

some-color-name widget.. I suspect these are color names, but I can't find where they are configured, to determine if it affects both the foreground

and the background.

Both the COLOR PROMPT and COLOR DISPLAY cases need to be checked.

#2 - 03/23/2016 04:29 PM - Greg Shah

- Target version deleted (Milestone 12)

Files

color-check.p 3.25 KB 04/27/2015 Constantin Asofiei
